wxWidgets: wxPropertyGridPageState Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
wxPropertyGridPageState Class Reference
Class List by Category » wxPropertyGrid

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridPageState:
[legend]

## Detailed Description

Contains low-level property page information (properties, column widths, etc.) of a single wxPropertyGrid or single wxPropertyGridPage.

Generally you should not use this class directly, but instead member functions in wxPropertyGridInterface, wxPropertyGrid, wxPropertyGridPage, and wxPropertyGridManager.

Remarks
  Currently this class is not implemented in wxPython.

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPropertyGridPageState ()
| Default constructor.
virtual | ~wxPropertyGridPageState ()
| Destructor.
void | CheckColumnWidths (int widthChange=0)
| Makes sure all columns have minimum width.
virtual void | DoDelete (wxPGProperty *item, bool doDelete=true)
| Override this member function to add custom behaviour on property deletion.
wxSize | DoFitColumns (bool allowGridResize=false)
wxPGProperty * | DoGetItemAtY (int y) const
virtual wxPGProperty * | DoInsert (wxPGProperty *parent, int index, wxPGProperty *property)
| Override this member function to add custom behaviour on property insertion.
virtual void | DoSetSplitterPosition (int pos, int splitterColumn=0, int flags=0)
| This needs to be overridden in grid used the manager so that splitter changes can be propagated to other pages.
bool | EnableCategories (bool enable)
void | EnsureVirtualHeight ()
| Make sure virtual height is up-to-date.
unsigned int | GetVirtualHeight () const
| Returns (precalculated) height of contained visible properties.
unsigned int | GetVirtualHeight ()
| Returns (precalculated) height of contained visible properties.
unsigned int | GetActualVirtualHeight () const
| Returns actual height of contained visible properties.
unsigned int | GetColumnCount () const
int | GetColumnMinWidth (int column) const
int | GetColumnWidth (unsigned int column) const
wxPropertyGrid * | GetGrid () const
wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT)
| Returns last item which could be iterated using given flags.
const wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT) const
wxPGProperty * | GetSelection () const
| Returns currently selected property.
void | DoSetSelection (wxPGProperty *prop)
bool | DoClearSelection ()
void | DoRemoveFromSelection (wxPGProperty *prop)
void | DoSetColumnProportion (unsigned int column, int proportion)
int | DoGetColumnProportion (unsigned int column) const
void | ResetColumnSizes (int setSplitterFlags)
wxPropertyCategory * | GetPropertyCategory (const wxPGProperty *p) const
wxVariant | DoGetPropertyValues (const wxString &listname, wxPGProperty *baseparent, long flags) const
wxPGProperty * | DoGetRoot () const
void | DoSetPropertyName (wxPGProperty *p, const wxString &newName)
int | GetVirtualWidth () const
| Returns combined width of margin and all the columns.
int | GetColumnFitWidth (wxClientDC &dc, wxPGProperty *pwc, unsigned int col, bool subProps) const
| Returns minimal width for given column so that all images and texts will fit entirely.
int | GetColumnFullWidth (wxClientDC &dc, wxPGProperty *p, unsigned int col)
wxPropertyGridHitTestResult | HitTest (const wxPoint &pt) const
| Returns information about arbitrary position in the grid.
bool | IsDisplayed () const
| Returns true if page is visibly displayed.
bool | IsInNonCatMode () const
void | DoLimitPropertyEditing (wxPGProperty *p, bool limit=true)
bool | DoSelectProperty (wxPGProperty *p, unsigned int flags=0)
void | OnClientWidthChange (int newWidth, int widthChange, bool fromOnResize=false)
| widthChange is non-client.
void | RecalculateVirtualHeight ()
| Recalculates m_virtualHeight.
void | SetColumnCount (int colCount)
void | PropagateColSizeDec (int column, int decrease, int dir)
bool | DoHideProperty (wxPGProperty *p, bool hide, int flags=wxPG_RECURSE)
bool | DoSetPropertyValueString (wxPGProperty *p, const wxString &value)
bool | DoSetPropertyValue (wxPGProperty *p, wxVariant &value)
bool | DoSetPropertyValueWxObjectPtr (wxPGProperty *p, wxObject *value)
void | DoSetPropertyValues (const wxVariantList &list, wxPGProperty *default_category)
void | SetSplitterLeft (bool subProps=false)
void | SetVirtualWidth (int width)
| Set virtual width for this particular page.
void | DoSortChildren (wxPGProperty *p, int flags=0)
void | DoSort (int flags=0)
bool | PrepareAfterItemsAdded ()
void | VirtualHeightChanged ()
| Called after virtual height needs to be recalculated.
wxPGProperty * | DoAppend (wxPGProperty *property)
| Base append.
wxPGProperty * | BaseGetPropertyByName (const wxString &name) const
| Returns property by its name.
void | DoClear ()
| Called in, for example, wxPropertyGrid::Clear.
bool | DoIsPropertySelected (wxPGProperty *prop) const
bool | DoCollapse (wxPGProperty *p)
bool | DoExpand (wxPGProperty *p)
void | CalculateFontAndBitmapStuff (int vspacing)

## Friends
class | wxPropertyGrid
class | wxPropertyGridInterface
class | wxPropertyGridPage
class | wxPropertyGridManager

## Constructor & Destructor Documentation

## ◆ wxPropertyGridPageState()

wxPropertyGridPageState::wxPropertyGridPageState | ( |  | ) |

Default constructor.

## ◆ ~wxPropertyGridPageState()

virtual wxPropertyGridPageState::~wxPropertyGridPageState | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ BaseGetPropertyByName()

wxPGProperty * wxPropertyGridPageState::BaseGetPropertyByName | ( | const wxString & | name | ) | const

Returns property by its name.

## ◆ CalculateFontAndBitmapStuff()

void wxPropertyGridPageState::CalculateFontAndBitmapStuff | ( | int | vspacing | ) |

## ◆ CheckColumnWidths()

void wxPropertyGridPageState::CheckColumnWidths | ( | int | widthChange = 0 | ) |

Makes sure all columns have minimum width.

## ◆ DoAppend()

wxPGProperty * wxPropertyGridPageState::DoAppend | ( | wxPGProperty * | property | ) |

Base append.

## ◆ DoClear()

void wxPropertyGridPageState::DoClear | ( |  | ) |

Called in, for example, wxPropertyGrid::Clear.

## ◆ DoClearSelection()

bool wxPropertyGridPageState::DoClearSelection | ( |  | ) |

## ◆ DoCollapse()

bool wxPropertyGridPageState::DoCollapse | ( | wxPGProperty * | p | ) |

## ◆ DoDelete()

virtual void wxPropertyGridPageState::DoDelete | ( | wxPGProperty * | item,
|  | bool | doDelete = true )
| virtual

Override this member function to add custom behaviour on property deletion.

## ◆ DoExpand()

bool wxPropertyGridPageState::DoExpand | ( | wxPGProperty * | p | ) |

## ◆ DoFitColumns()

wxSize wxPropertyGridPageState::DoFitColumns | ( | bool | allowGridResize = false | ) |

## ◆ DoGetColumnProportion()

int wxPropertyGridPageState::DoGetColumnProportion | ( | unsigned int | column | ) | const

## ◆ DoGetItemAtY()

wxPGProperty * wxPropertyGridPageState::DoGetItemAtY | ( | int | y | ) | const

## ◆ DoGetPropertyValues()

wxVariant wxPropertyGridPageState::DoGetPropertyValues | ( | const wxString & | listname,
|  | wxPGProperty * | baseparent,
|  | long | flags ) const

## ◆ DoGetRoot()

wxPGProperty * wxPropertyGridPageState::DoGetRoot | ( |  | ) | const

## ◆ DoHideProperty()

bool wxPropertyGridPageState::DoHideProperty | ( | wxPGProperty * | p,
|  | bool | hide,
|  | int | flags = wxPG_RECURSE )

## ◆ DoInsert()

virtual wxPGProperty * wxPropertyGridPageState::DoInsert | ( | wxPGProperty * | parent,
|  | int | index,
|  | wxPGProperty * | property )
| virtual

Override this member function to add custom behaviour on property insertion.

## ◆ DoIsPropertySelected()

bool wxPropertyGridPageState::DoIsPropertySelected | ( | wxPGProperty * | prop | ) | const

## ◆ DoLimitPropertyEditing()

void wxPropertyGridPageState::DoLimitPropertyEditing | ( | wxPGProperty * | p,
|  | bool | limit = true )

## ◆ DoRemoveFromSelection()

void wxPropertyGridPageState::DoRemoveFromSelection | ( | wxPGProperty * | prop | ) |

## ◆ DoSelectProperty()

bool wxPropertyGridPageState::DoSelectProperty | ( | wxPGProperty * | p,
|  | unsigned int | flags = 0 )

## ◆ DoSetColumnProportion()

void wxPropertyGridPageState::DoSetColumnProportion | ( | unsigned int | column,
|  | int | proportion )

## ◆ DoSetPropertyName()

void wxPropertyGridPageState::DoSetPropertyName | ( | wxPGProperty * | p,
|  | const wxString & | newName )

## ◆ DoSetPropertyValue()

bool wxPropertyGridPageState::DoSetPropertyValue | ( | wxPGProperty * | p,
|  | wxVariant & | value )

## ◆ DoSetPropertyValues()

void wxPropertyGridPageState::DoSetPropertyValues | ( | const wxVariantList & | list,
|  | wxPGProperty * | default_category )

## ◆ DoSetPropertyValueString()

bool wxPropertyGridPageState::DoSetPropertyValueString | ( | wxPGProperty * | p,
|  | const wxString & | value )

## ◆ DoSetPropertyValueWxObjectPtr()

bool wxPropertyGridPageState::DoSetPropertyValueWxObjectPtr | ( | wxPGProperty * | p,
|  | wxObject * | value )

## ◆ DoSetSelection()

void wxPropertyGridPageState::DoSetSelection | ( | wxPGProperty * | prop | ) |

## ◆ DoSetSplitterPosition()

virtual void wxPropertyGridPageState::DoSetSplitterPosition | ( | int | pos,
|  | int | splitterColumn = 0,
|  | int | flags = 0 )
| virtual

This needs to be overridden in grid used the manager so that splitter changes can be propagated to other pages.

## ◆ DoSort()

void wxPropertyGridPageState::DoSort | ( | int | flags = 0 | ) |

## ◆ DoSortChildren()

void wxPropertyGridPageState::DoSortChildren | ( | wxPGProperty * | p,
|  | int | flags = 0 )

## ◆ EnableCategories()

bool wxPropertyGridPageState::EnableCategories | ( | bool | enable | ) |

## ◆ EnsureVirtualHeight()

void wxPropertyGridPageState::EnsureVirtualHeight | ( |  | ) |

Make sure virtual height is up-to-date.

## ◆ GetActualVirtualHeight()

unsigned int wxPropertyGridPageState::GetActualVirtualHeight | ( |  | ) | const
| inline

Returns actual height of contained visible properties.

Remarks
  Mostly used for internal diagnostic purposes.

## ◆ GetColumnCount()

unsigned int wxPropertyGridPageState::GetColumnCount | ( |  | ) | const

## ◆ GetColumnFitWidth()

int wxPropertyGridPageState::GetColumnFitWidth | ( | wxClientDC & | dc,
|  | wxPGProperty * | pwc,
|  | unsigned int | col,
|  | bool | subProps ) const

Returns minimal width for given column so that all images and texts will fit entirely.

Used by SetSplitterLeft() and DoFitColumns().

## ◆ GetColumnFullWidth()

int wxPropertyGridPageState::GetColumnFullWidth | ( | wxClientDC & | dc,
|  | wxPGProperty * | p,
|  | unsigned int | col )

## ◆ GetColumnMinWidth()

int wxPropertyGridPageState::GetColumnMinWidth | ( | int | column | ) | const

## ◆ GetColumnWidth()

int wxPropertyGridPageState::GetColumnWidth | ( | unsigned int | column | ) | const

## ◆ GetGrid()

wxPropertyGrid * wxPropertyGridPageState::GetGrid | ( |  | ) | const

## ◆ GetLastItem() [1/2]

wxPGProperty * wxPropertyGridPageState::GetLastItem | ( | int | flags = wxPG_ITERATE_DEFAULT | ) |

Returns last item which could be iterated using given flags.

Parameters

  flags | wxPropertyGridIterator Flags

## ◆ GetLastItem() [2/2]

const wxPGProperty * wxPropertyGridPageState::GetLastItem | ( | int | flags = wxPG_ITERATE_DEFAULT | ) | const

## ◆ GetPropertyCategory()

wxPropertyCategory * wxPropertyGridPageState::GetPropertyCategory | ( | const wxPGProperty * | p | ) | const

## ◆ GetSelection()

wxPGProperty * wxPropertyGridPageState::GetSelection | ( |  | ) | const

Returns currently selected property.

## ◆ GetVirtualHeight() [1/2]

unsigned int wxPropertyGridPageState::GetVirtualHeight | ( |  | ) |

Returns (precalculated) height of contained visible properties.

## ◆ GetVirtualHeight() [2/2]

unsigned int wxPropertyGridPageState::GetVirtualHeight | ( |  | ) | const

Returns (precalculated) height of contained visible properties.

## ◆ GetVirtualWidth()

int wxPropertyGridPageState::GetVirtualWidth | ( |  | ) | const

Returns combined width of margin and all the columns.

## ◆ HitTest()

wxPropertyGridHitTestResult wxPropertyGridPageState::HitTest | ( | const wxPoint & | pt | ) | const

Returns information about arbitrary position in the grid.

Parameters

  pt | Logical coordinates in the virtual grid space. Use wxScrolled<T>::CalcUnscrolledPosition() if you need to translate a scrolled position into a logical one.

## ◆ IsDisplayed()

bool wxPropertyGridPageState::IsDisplayed | ( |  | ) | const
| inline

Returns true if page is visibly displayed.

## ◆ IsInNonCatMode()

bool wxPropertyGridPageState::IsInNonCatMode | ( |  | ) | const

## ◆ OnClientWidthChange()

void wxPropertyGridPageState::OnClientWidthChange | ( | int | newWidth,
|  | int | widthChange,
|  | bool | fromOnResize = false )

widthChange is non-client.

## ◆ PrepareAfterItemsAdded()

bool wxPropertyGridPageState::PrepareAfterItemsAdded | ( |  | ) |

## ◆ PropagateColSizeDec()

void wxPropertyGridPageState::PropagateColSizeDec | ( | int | column,
|  | int | decrease,
|  | int | dir )

## ◆ RecalculateVirtualHeight()

void wxPropertyGridPageState::RecalculateVirtualHeight | ( |  | ) |

Recalculates m_virtualHeight.

## ◆ ResetColumnSizes()

void wxPropertyGridPageState::ResetColumnSizes | ( | int | setSplitterFlags | ) |

## ◆ SetColumnCount()

void wxPropertyGridPageState::SetColumnCount | ( | int | colCount | ) |

## ◆ SetSplitterLeft()

void wxPropertyGridPageState::SetSplitterLeft | ( | bool | subProps = false | ) |

## ◆ SetVirtualWidth()

void wxPropertyGridPageState::SetVirtualWidth | ( | int | width | ) |

Set virtual width for this particular page.

## ◆ VirtualHeightChanged()

void wxPropertyGridPageState::VirtualHeightChanged | ( |  | ) |

Called after virtual height needs to be recalculated.

## Friends And Related Symbol Documentation

## ◆ wxPropertyGrid

friend class wxPropertyGrid
| friend

## ◆ wxPropertyGridInterface

friend class wxPropertyGridInterface
| friend

## ◆ wxPropertyGridManager

friend class wxPropertyGridManager
| friend

## ◆ wxPropertyGridPage

friend class wxPropertyGridPage
| friend